<?

session_name('portal_absa');
session_start();
$arrHTTP = explode("?",trim(strtoupper($_SERVER['HTTP_REFERER'])));
$http = trim(strtoupper($arrHTTP[0]));

if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || (trim(strtoupper($_SESSION["URL_PORTAL"]."FORMULARIOS/FORM_EXPEDIENTE_COMPLEMENTOPAGO.PHP")) != $http && trim(strtoupper($_SESSION["URL_PORTAL"]."FORMULARIOS/FORM_EXPEDIENTE_ICFDI.PHP")) != $http && trim(strtoupper($_SESSION["URL_PORTAL"]."FORMULARIOS/FORM_EXPEDIENTE_PAGO.PHP")) != $http)){
	?><script>window.close();</script><?
	exit;
}

include "../extras/validaPagoIngreso.php";

$numparcialidad = (integer) $numparcialidad;
if(trim($numparcialidad) == "" || !is_int($numparcialidad)){
    ?><script>
	$j_7.messager.alert("Error.","Indique el numero de parcialidad correctamente, solo acepta numeros enteros.","error");
	</script><?
	exit;
}

//VALIDO QUE EL CFDI RECIBIDO NO SE ENCUENTRE EN OTRO DOCUMENTO DE PAGO CON LA MISMA PARCIALIDAD
$queryParcialidad = "select * from pago_documentos_ref where uuidcfdirelacionado='$uuidIngreso' and numParcialidad=$numparcialidad and doce_uuid <> '$uuidPago'";
if(!$resParcialidad = mysqli_query($conexion->CONEXION,$queryParcialidad)){
	?><script>
	$j_7.messager.alert("Error.","Ocurrio un error al buscar el documento con referencia a otro pago y la misma parcialidad. Intente nuevamente.","error");
	</script><?
	exit;
}
if(mysqli_num_rows($resParcialidad) > 0){
	?><script>
	$j_7.messager.alert("Error.","El documento tiene una referencia a otro documento de pago con la misma parcialidad.<br/>Modifique la parcialidad.","error");
	</script><?
	exit;
}


$query="insert into pago_documentos_ref set uuidcfdirelacionado='$uuidIngreso',moneda='".$tIngreso["tipomoneda"]."',doce_uuid='$uuidPago',tipocambio='".$tipocambioingreso."',monto=$monto_enmoneda_padre,numParcialidad=$numparcialidad ON DUPLICATE KEY UPDATE monto=$monto_enmoneda_padre,numParcialidad=$numparcialidad,moneda='".$tIngreso["tipomoneda"]."',tipocambio='".$tipocambioingreso."'";

if(!mysqli_query($conexion->CONEXION,$query)){
	
	?><script>
	$j_7.messager.alert("Error.","<?=mysqli_real_escape_string($conexion->CONEXION,$query.mysqli_error($conexion->CONEXION));?>Ocurrio un error. Intente nuevamente.","error");
	</script><?
	exit;
}else{
	setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "INSERT", "tabla pago_documentos_ref: alta referencia.", $query);
	?><script>
	$j_7.messager.alert("Informacion.","Cambios guardados correctamente.","info");
	</script><?
}

?>